"Merge shapefiles to one" gives bad results

2011-09-05 01:37 AM - Milena Nowotarska

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Windows7 Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14205

Description

Merging shapefiles from menu Vector results with one of the layers data shifted.

I am using CRS different than 4326, a local CRS in meters, and perhaps this is the clue. 

One of the merged layers is finding itself a place with it's correct coordinates in degrees, which are of course incorrect when the layer

should be in meters. The rest of the data indeed finds it's correct placement. Funky, no?

On the fly CRS transformation seems to have no impact. 

The shifted layer is not random. 

I have checked for 2 sets of data, point and line type.

History

#1 - 2011-09-05 01:39 AM - Giovanni Manghi

I believe is a known issue.

#2 - 2011-09-05 06:06 AM - Alexander Bruy

Can you provide sample data? I can't reproduce this with my test dataset (7 polygonal layers)

#3 - 2011-10-15 03:14 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please leave feedback and sample data to allow the dev to make further tests.

#4 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2011-12-24 07:23 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Subject changed from merge shapefiles to one gives bad results to "Merge shapefiles to one" gives bad results

Hi Milena, can you attach sample data? I believe all the vectors must be in the same CRS, like is required in many other ftools tools.
#6 - 2011-12-25 07:22 AM - Alexander Bruy

If I understand correctly, all input layers has same local CRS and tool produces wrong result.

Giovanni Manghi wrote:

I believe all the vectors must be in the same CRS, like is required in many other ftools tools.

Right. Currently reprojection during merging operation not implemented (it's possible, of course) and there is no check if all layers have same CRS. So if

some input layers have different CRS results may be strange.

#7 - 2011-12-25 01:13 PM - Giovanni Manghi

Alexander Bruy wrote:

If I understand correctly, all input layers has same local CRS and tool produces wrong result.

Then a sample dataset is fundamental to try replicate the issue.

#8 - 2011-12-25 01:22 PM - Giovanni Manghi

Right. Currently reprojection during merging operation not implemented (it's possible, of course) and there is no check if all layers have same CRS.

see also #4564

#9 - 2012-02-06 06:19 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Resolution set to worksforme

- Priority changed from High to Normal

Closed for the lack of feedback

#10 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
